Subject: Re: [PATCH 0/3 v3] mtd: physmap_of: Add multiple regions and concatenation support

From: Stefan Roese <[email-masked]>
Date: Thu, 16 Apr 2009 14:52:25 +0200

On Thursday 16 April 2009, Artem Bityutskiy wrote:
> On Thu, 2009-04-16 at 14:05 +0200, Stefan Roese wrote:
> > This patchset adds support to handle multiple non-identical chips in one
> > flash device tree node. It also adds concat support to physmap_of. This
> > makes it possible to support e.g. the Intel P30 48F4400 chip which
> > internally consists of 2 non-identical NOR chips on one die. Additionally
> > partitions now can span over multiple chips:
> >
> >     mtd: physmap_of: Add multiple regions and concatenation support
> >     mtd/powerpc: Factor out MTD physmap bindings into mtd-physmap.txt
> >     mtd/powerpc: Describe multiple "reg" tuples usage
> >
> > v2 addresses all comments from Grant Likely, including factoring out the
> > MTD dts bindings documentation into a separate file.
> >
> > v3 addresses all comments (again from Grant).
>
> Sorry for my ignorance, but could you please explain why regions
> exists as an MTD concept? Why different regions could not be
> represented as different MTD devices? The benefit is - simplicity.

The result of these multiple "reg" tuples *is* multiple MTD devices. Not sure 
if this explains your comment/question. Please let me know if you still have 
some comments.

Thanks.

Best regards,
Stefan